QGIS Application - Bug report #10410
New Identify Results panel: first field of features empty when using html tooltip
2014-06-01 01:40 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18826
Description

Hi,

I don't find an expressive title but follow these steps and you'll understand.

Open the "properties of vector layer" dialog.

go to "Display" tab

check the "html" checkbox and add an expression. Maybe you should just add one of your fields.

Press ok

Now, select Identify tool and click on several features in your layer.

In the Identify Results dialog, the first row shows the name and number of your layer. its child that used to show first attribute of the feature
is empty.

I think that, if this row doesn't show the expression used in html (and | understand it doesn't), it may show at least the field greyed in
Display Tab.

Associated revisions

Revision a120bb96 - 2014-06-17 09:37 PM - Jiirgen Fischer

identify result: show id as feature label if html display string is enabled (fixes #10410)

History

#1 - 2014-06-17 02:50 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"a120bb9678147d823440ad7b549063362e603969".
